org.apache.poi.hssf.usermodel

## Class HSSFCombobox

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFShape
  - - org.apache.poi.hssf.usermodel.HSSFSimpleShape
    - - org.apache.poi.hssf.usermodel.HSSFCombobox

- All Implemented Interfaces:
    Shape, SimpleShape

      public class HSSFCombobox
      extends HSSFSimpleShape

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape

      `OBJECT_TYPE_ARC, OBJECT_TYPE_COMBO_BOX, OBJECT_TYPE_COMMENT, OBJECT_TYPE_LINE, OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING, OBJECT_TYPE_OVAL, OBJECT_TYPE_PICTURE, OBJECT_TYPE_RECTANGLE, WRAP_BY_POINTS, WRAP_NONE, WRAP_SQUARE`

    - ### Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape

      `FILL__FILLCOLOR_DEFAULT, LINESTYLE__COLOR_DEFAULT, LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DEFAULT, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT, NO_FILL_DEFAULT, NO_FILLHITTEST_FALSE, NO_FILLHITTEST_TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFCombobox(EscherContainerRecord spContainer, ObjRecord objRecord)`
    `HSSFCombobox(HSSFShape parent, HSSFAnchor anchor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ObjRecord` | `createObjRecord()`
    `protected EscherContainerRecord` | `createSpContainer()`
    `protected TextObjectRecord` | `createTextObjRecord()`
    `void` | `setShapeType(int shapeType)`

    - ### Methods inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape

      `afterRemove, cloneShape, getShapeId, getShapeType, getString, getTextObjectRecord, getWrapText, setString, setWrapText`

    - ### Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape

      `countOfAllChildren, getAnchor, getEscherContainer, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getObjRecord, getOptRecord, getParent, getPatriarch, getRotationDegree, getShapeName, isFlipHorizontal, isFlipVertical, isNoFill, setAnchor, setFillColor, setFillColor, setFlipHorizontal, setFlipVertical, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill, setParent, setPatriarch, setPropertyValue, setRotationDegree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Shape

      `getAnchor, getParent, getShapeName, isNoFill, setFillColor, setLineStyleColor, setNoFill`

- - ### Constructor Detail

    - #### HSSFCombobox

          public HSSFCombobox(EscherContainerRecord spContainer,
                              ObjRecord objRecord)

    - #### HSSFCombobox

          public HSSFCombobox(HSSFShape parent,
                              HSSFAnchor anchor)

  - ### Method Detail

    - #### createTextObjRecord

          protected TextObjectRecord createTextObjRecord()

      Overrides:
        `createTextObjRecord` in class `HSSFSimpleShape`

    - #### createSpContainer

          protected EscherContainerRecord createSpContainer()

      Overrides:
        `createSpContainer` in class `HSSFSimpleShape`

    - #### createObjRecord

          protected ObjRecord createObjRecord()

      Overrides:
        `createObjRecord` in class `HSSFSimpleShape`

    - #### setShapeType

          public void setShapeType(int shapeType)

      Overrides:
        `setShapeType` in class `HSSFSimpleShape`
      Parameters:
        `shapeType` - - shapeType
      See Also:
        `HSSFShapeTypes`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.